[Elven Wizard Class Transfer]:
In order to become a Spellsinger, the character must successfully complete three quests. The Trial of the Scholar can only be undertaken by a player of level 35 or above. This quest begins by meeting with Magister Mirien of Dion Castle Town. The Testimony of Life can only be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of Magus can be undertaken by a player of level 39 or above. This quest begins by meeting with Bard Rukal of Dion Castle Town.
Return
Close Window